From 25426e687d4339fe11071e6da94441bbdbe89da7 Mon Sep 17 00:00:00 2001
From: Minda Chen <minda.chen@starfivetech.com>
Date: Thu, 26 Oct 2023 16:46:49 +0800
Subject: [PATCH 4/4] cpupri: a work around for non-rt test panic

kernel BUG at kernel/sched/cpupri.c:151!
The same issue can be seen in link.
https://www.spinics.net/lists/kernel/msg4184866.html

Signed-off-by: Minda Chen <minda.chen@starfivetech.com>
---
 kernel/sched/cpupri.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/kernel/sched/cpupri.c b/kernel/sched/cpupri.c
index d583f2aa744e..c582956ee634 100644
--- a/kernel/sched/cpupri.c
+++ b/kernel/sched/cpupri.c
@@ -60,6 +60,9 @@ static int convert_prio(int prio)
 	case MAX_RT_PRIO:
 		cpupri = CPUPRI_HIGHER;		/* 100 */
 		break;
+	default:
+		cpupri = CPUPRI_NORMAL;
+		break;
 	}
 
 	return cpupri;
-- 
2.17.1

